Method: projects.locations.identityMappingStores.importIdentityMappings

Imports a list of Identity Mapping Entries to an Identity Mapping Store.

HTTP request

POST https://discoveryengine.googleapis.com/v1alpha/{identityMappingStore=projects/*/locations/*/identityMappingStores/*}:importIdentityMappings

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
identityMappingStore

string

Required. The name of the Identity Mapping Store to import Identity Mapping Entries to. Format: projects/{project}/locations/{location}/identityMappingStores/{identityMappingStore}

Request body

The request body contains data with the following structure:

JSON representation
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "inlineSource": {
    object (InlineSource)
  }
  // End of mutually exclusive fields.
}
Fields
The source of the input. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
inlineSource

object (InlineSource)

The inline source to import identity mapping entries from.

End of mutually exclusive fields.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the identityMappingStore resource:

  • discoveryengine.identityMappingStores.importIdentityMappings

For more information, see the IAM documentation.

InlineSource

The inline source to import identity mapping entries from.

JSON representation
{
  "identityMappingEntries": [
    {
      object (IdentityMappingEntry)
    }
  ]
}
Fields
identityMappingEntries[]

object (IdentityMappingEntry)

A maximum of 10000 entries can be imported at one time